#ifndef DELETEQUESTION_H
#define DELETEQUESTION_H

#include "controller.h"
#include "ui_deletequestion.h"
#include <QtWidgets>
#include <QtGui>

class Controller;
class CheckBoxSelection;

class DeleteQuestion : public QWidget, private Ui::DeleteQuestion
{
  Q_OBJECT
  private:
    Controller *controller;
    QList< CheckBoxSelection* > questionSelections;
  public:
    explicit DeleteQuestion( Controller *controller, QWidget *parent = 0 );
  public slots:
    void deleteSlot( void );
    void selectedQuestionsChanged( void );
};

#endif // DELETEQUESTION_H
